<?php
/**
 * Clase Base Bean para BaseCrPedidodetalleBN
 *
 * @package    Sedapal
 * @subpackage BaseCrPedidodetalleBN
 * @author     Willy
 * @version    SVN:: BaseCrPedidodetalleBN.class.php,v 1.1 2012-07-28 12:36:17 william.taype Exp $
 */
abstract class BaseCrPedidodetalleBN
{
  protected $Idpedidodetalle;
  protected $Idpedidocabecera;
  protected $Tipocodigo;
  protected $Idcliente;
  protected $Codigocliente;
  protected $Nombrecompleto;
  protected $Fechaentrega;
  protected $Montoprestado;
  protected $Cuotapago;
  protected $Montototal;
  protected $Interesmonto;
  protected $Interesporcentaje;
  protected $Duracion;
  protected $Nrocuotas;
  protected $Estado;
  protected $Fechainicio;
  protected $Fechavencimiento;
  protected $Gastoadministrativo;
  protected $Idcolaborador;
  protected $Turno;
  protected $Observacion;
  protected $Usuariocreacion;
  protected $Fechacreacion;
  protected $Usuariomodificacion;
  protected $Fechamodificacion;
  protected $Usuarioeliminacion;
  protected $Fechaeliminacion;
  protected $Eliminado;
  protected $Periodicidadpago;
  protected $Saldoprestamo;
  protected $Entregado;
  protected $Fechaentregado;
  protected $Usuarioentregado;
  protected $Mensaje;
  protected $Error;

  public function getIdpedidodetalle(){
    return $this->Idpedidodetalle;
  }
  public function setIdpedidodetalle($v1){
    $this->Idpedidodetalle = $v1; 
  }

  public function getIdpedidocabecera(){
    return $this->Idpedidocabecera;
  }
  public function setIdpedidocabecera($v1){
    $this->Idpedidocabecera = $v1; 
  }

  public function getTipocodigo(){
    return $this->Tipocodigo;
  }
  public function setTipocodigo($v1){
    $this->Tipocodigo = $v1; 
  }

  public function getIdcliente(){
    return $this->Idcliente;
  }
  public function setIdcliente($v1){
    $this->Idcliente = $v1; 
  }

  public function getCodigocliente(){
    return $this->Codigocliente;
  }
  public function setCodigocliente($v1){
    $this->Codigocliente = $v1; 
  }

  public function getNombrecompleto(){
    return $this->Nombrecompleto;
  }
  public function setNombrecompleto($v1){
    $this->Nombrecompleto = $v1; 
  }

  public function getFechaentrega(){
    return $this->Fechaentrega;
  }
  public function setFechaentrega($v1){
    $this->Fechaentrega = $v1; 
  }

  public function getMontoprestado(){
    return $this->Montoprestado;
  }
  public function setMontoprestado($v1){
    $this->Montoprestado = $v1; 
  }

  public function getCuotapago(){
    return $this->Cuotapago;
  }
  public function setCuotapago($v1){
    $this->Cuotapago = $v1; 
  }

  public function getMontototal(){
    return $this->Montototal;
  }
  public function setMontototal($v1){
    $this->Montototal = $v1; 
  }

  public function getInteresmonto(){
    return $this->Interesmonto;
  }
  public function setInteresmonto($v1){
    $this->Interesmonto = $v1; 
  }

  public function getInteresporcentaje(){
    return $this->Interesporcentaje;
  }
  public function setInteresporcentaje($v1){
    $this->Interesporcentaje = $v1; 
  }

  public function getDuracion(){
    return $this->Duracion;
  }
  public function setDuracion($v1){
    $this->Duracion = $v1; 
  }

  public function getNrocuotas(){
    return $this->Nrocuotas;
  }
  public function setNrocuotas($v1){
    $this->Nrocuotas = $v1; 
  }

  public function getEstado(){
    return $this->Estado;
  }
  public function setEstado($v1){
    $this->Estado = $v1; 
  }

  public function getFechainicio(){
    return $this->Fechainicio;
  }
  public function setFechainicio($v1){
    $this->Fechainicio = $v1; 
  }

  public function getFechavencimiento(){
    return $this->Fechavencimiento;
  }
  public function setFechavencimiento($v1){
    $this->Fechavencimiento = $v1; 
  }

  public function getGastoadministrativo(){
    return $this->Gastoadministrativo;
  }
  public function setGastoadministrativo($v1){
    $this->Gastoadministrativo = $v1; 
  }

  public function getIdcolaborador(){
    return $this->Idcolaborador;
  }
  public function setIdcolaborador($v1){
    $this->Idcolaborador = $v1; 
  }

  public function getTurno(){
    return $this->Turno;
  }
  public function setTurno($v1){
    $this->Turno = $v1; 
  }

  public function getObservacion(){
    return $this->Observacion;
  }
  public function setObservacion($v1){
    $this->Observacion = $v1; 
  }

  public function getUsuariocreacion(){
    return $this->Usuariocreacion;
  }
  public function setUsuariocreacion($v1){
    $this->Usuariocreacion = $v1; 
  }

  public function getFechacreacion(){
    return $this->Fechacreacion;
  }
  public function setFechacreacion($v1){
    $this->Fechacreacion = $v1; 
  }

  public function getUsuariomodificacion(){
    return $this->Usuariomodificacion;
  }
  public function setUsuariomodificacion($v1){
    $this->Usuariomodificacion = $v1; 
  }

  public function getFechamodificacion(){
    return $this->Fechamodificacion;
  }
  public function setFechamodificacion($v1){
    $this->Fechamodificacion = $v1; 
  }

  public function getUsuarioeliminacion(){
    return $this->Usuarioeliminacion;
  }
  public function setUsuarioeliminacion($v1){
    $this->Usuarioeliminacion = $v1; 
  }

  public function getFechaeliminacion(){
    return $this->Fechaeliminacion;
  }
  public function setFechaeliminacion($v1){
    $this->Fechaeliminacion = $v1; 
  }

  public function getEliminado(){
    return $this->Eliminado;
  }
  public function setEliminado($v1){
    $this->Eliminado = $v1; 
  }

  public function getPeriodicidadpago(){
    return $this->Periodicidadpago;
  }
  public function setPeriodicidadpago($v1){
    $this->Periodicidadpago = $v1; 
  }

  public function getSaldoprestamo(){
    return $this->Saldoprestamo;
  }
  public function setSaldoprestamo($v1){
    $this->Saldoprestamo = $v1; 
  }

  public function getEntregado(){
    return $this->Entregado;
  }
  public function setEntregado($v1){
    $this->Entregado = $v1; 
  }

  public function getFechaentregado(){
    return $this->Fechaentregado;
  }
  public function setFechaentregado($v1){
    $this->Fechaentregado = $v1; 
  }

  public function getUsuarioentregado(){
    return $this->Usuarioentregado;
  }
  public function setUsuarioentregado($v1){
    $this->Usuarioentregado = $v1; 
  }

  public function getMensaje(){
    return $this->Mensaje;
  }
  public function setMensaje($vl){
    $this->Mensaje = $vl;
  }

  public function getError(){
    return $this->Error;
  }
  public function setError($vl){
    $this->Error = $vl;
  }

  /* Recupera un objeto Cr_pedidodetalleBN desde un RecordSet */
  public static function retrieveByRs( $o_Cr_pedidodetalleRs )
  {
    $o_CrPedidodetalleBN = new CrPedidodetalleBN();
    $o_CrPedidodetalleBN->setIdpedidodetalle( $o_Cr_pedidodetalleRs['idpedidodetalle'] );
    $o_CrPedidodetalleBN->setIdpedidocabecera( $o_Cr_pedidodetalleRs['idpedidocabecera'] );
    $o_CrPedidodetalleBN->setTipocodigo( $o_Cr_pedidodetalleRs['tipocodigo'] );
    $o_CrPedidodetalleBN->setIdcliente( $o_Cr_pedidodetalleRs['idcliente'] );
    $o_CrPedidodetalleBN->setCodigocliente( $o_Cr_pedidodetalleRs['codigocliente'] );
    $o_CrPedidodetalleBN->setNombrecompleto( $o_Cr_pedidodetalleRs['nombrecompleto'] );
    $o_CrPedidodetalleBN->setFechaentrega( $o_Cr_pedidodetalleRs['fechaentrega'] );
    $o_CrPedidodetalleBN->setMontoprestado( $o_Cr_pedidodetalleRs['montoprestado'] );
    $o_CrPedidodetalleBN->setCuotapago( $o_Cr_pedidodetalleRs['cuotapago'] );
    $o_CrPedidodetalleBN->setMontototal( $o_Cr_pedidodetalleRs['montototal'] );
    $o_CrPedidodetalleBN->setInteresmonto( $o_Cr_pedidodetalleRs['interesmonto'] );
    $o_CrPedidodetalleBN->setInteresporcentaje( $o_Cr_pedidodetalleRs['interesporcentaje'] );
    $o_CrPedidodetalleBN->setDuracion( $o_Cr_pedidodetalleRs['duracion'] );
    $o_CrPedidodetalleBN->setNrocuotas( $o_Cr_pedidodetalleRs['nrocuotas'] );
    $o_CrPedidodetalleBN->setEstado( $o_Cr_pedidodetalleRs['estado'] );
    $o_CrPedidodetalleBN->setFechainicio( $o_Cr_pedidodetalleRs['fechainicio'] );
    $o_CrPedidodetalleBN->setFechavencimiento( $o_Cr_pedidodetalleRs['fechavencimiento'] );
    $o_CrPedidodetalleBN->setGastoadministrativo( $o_Cr_pedidodetalleRs['gastoadministrativo'] );
    $o_CrPedidodetalleBN->setIdcolaborador( $o_Cr_pedidodetalleRs['idcolaborador'] );
    $o_CrPedidodetalleBN->setTurno( $o_Cr_pedidodetalleRs['turno'] );
    $o_CrPedidodetalleBN->setObservacion( $o_Cr_pedidodetalleRs['observacion'] );
    $o_CrPedidodetalleBN->setUsuariocreacion( $o_Cr_pedidodetalleRs['usuariocreacion'] );
    $o_CrPedidodetalleBN->setFechacreacion( $o_Cr_pedidodetalleRs['fechacreacion'] );
    $o_CrPedidodetalleBN->setUsuariomodificacion( $o_Cr_pedidodetalleRs['usuariomodificacion'] );
    $o_CrPedidodetalleBN->setFechamodificacion( $o_Cr_pedidodetalleRs['fechamodificacion'] );
    $o_CrPedidodetalleBN->setUsuarioeliminacion( $o_Cr_pedidodetalleRs['usuarioeliminacion'] );
    $o_CrPedidodetalleBN->setFechaeliminacion( $o_Cr_pedidodetalleRs['fechaeliminacion'] );
    $o_CrPedidodetalleBN->setEliminado( $o_Cr_pedidodetalleRs['eliminado'] );
    $o_CrPedidodetalleBN->setPeriodicidadpago( $o_Cr_pedidodetalleRs['periodicidadpago'] );
    $o_CrPedidodetalleBN->setSaldoprestamo( $o_Cr_pedidodetalleRs['saldoprestamo'] );
    $o_CrPedidodetalleBN->setEntregado( $o_Cr_pedidodetalleRs['entregado'] );
    $o_CrPedidodetalleBN->setFechaentregado( $o_Cr_pedidodetalleRs['fechaentregado'] );
    $o_CrPedidodetalleBN->setUsuarioentregado( $o_Cr_pedidodetalleRs['usuarioentregado'] );
    return $o_CrPedidodetalleBN;
  }
}